<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <style type="text/css">
        @charset "utf-8";
        html, body, div, span, applet, object, iframe,
        h1, h2, h3, h4, h5, h6, p, blockquote, pre,
        a, abbr, acronym, address, big, cite, code,
        del, dfn, em, img, ins, kbd, q, s, samp,
        small, strike, strong, sub, sup, tt, var,
        b, u, i, center,
        dl, dt, dd, ol, ul, li,
        fieldset, form, label, legend,
        table, caption, tbody, tfoot, thead, tr, th, td,
        article, aside, canvas, details, embed,
        figure, figcaption, footer, header, hgroup,
        menu, nav, output, ruby, section, summary,
        time, mark, audio, video {
            margin: 0;
            padding: 0;
            border: 0;
            font-size: 100%;
            font: inherit;
            vertical-align: baseline;
        }
        /* HTML5 display-role reset for older browsers */
        article, aside, details, figcaption, figure,
        footer, header, hgroup, menu, nav, section {
            display: block;
        }
        body {
            line-height: 1;
        }
        ol, ul {
            list-style: none;
        }
        blockquote, q {
            quotes: none;
        }
        blockquote:before, blockquote:after,
        q:before, q:after {
            content: '';
            content: none;
        }
        table {
            border-collapse: collapse;
            border-spacing: 0;
        }

        /* custom css */

        body {
            margin: 15px 18px !important;
            background-color: #F6F6F6;
        }

        h1 {
            color: #646262;
            margin-top: 5px;
            font-size: 14px;
            line-height: 16px;
            padding-bottom: 4px;
        }

        h1:first-child {
            margin-top: 0px;
        }

        .content {
            color: black;
            font-size: 12px;
            line-height: 17px;
        }

        .title {
            margin-top: 5px;
            font-size: 14px;
            line-height: 16px;
            padding-bottom: 4px;
        }

        .title:first-child {
            margin-top: 0px;
        }

        .mainTitle {
            margin: 30px 0 25px;
            color: #333;
            font-size: 20px;
            line-height: 1.3;
            background: none;
            font-weight: bold;
            padding-left: 0;
        }

        .jangTitle {
            margin: 25px 0 20px;
            color: #333;
            font-size: 16px;
            line-height: 1.3;
            background: none;
            font-weight: bold;
            padding-left: 0;
        }

        .numberWrapper {
            position: relative;
            padding-left: 20px;
        }

        .number {
            position: absolute;
            left: 0;
            width: 20px;
            height: 15px;
            background-image: none;
            font-size: 12px;
            line-height: 15px;
        }

        table {
            border-collapse: separate;
        }

        tr {
            border-top: 1px dotted black;
            border-bottom: 1px dotted black;
        }

        table {
            border-top: 1px solid black;
            border-bottom: 1px solid black;
        }

        td {
            vertical-align: middle;
            padding: 5px;
            text-align: center;
            border-top: 1px dotted black;
            border-right: 1px dotted black;
        }

        td:last-child {
            border-right: 1px dotted #F6F6F6;
        }

        th {
            background-color: rgb(207, 206, 206);
            border-right: 1px dotted black;
            color: black;
        }

        th:first-child {
            border-left: 1px solid rgb(207, 206, 206);
        }

        th:last-child {
            border-right: 1px solid rgb(207, 206, 206);
        }

        .leftAlign {
            text-align: left;
        }

        .rightDotLine {
            border-right: 1px dotted black !important;
        }

        .bold {
            font-weight: 700;
        }

        .smallFont {
            font-size: 10px !important;
        }

        .content > span {
            font-weight: 700;
        }

    </style>
    <title>oss</title>
</head>
<body>
    <div class="content">
        This application is Copyright &#169;2015~2017, SK Telecom Co., Ltd. All Rights Reserved.<br /><br />
        This application uses Open Source Software(OSS) and you can find the source code of these open source projects, along with applicable license information, below.<br />
    </div>
    <hr />

    <br />
    <div class="content">
        <span>Android-HorizontalListView</span><br />
        Copyright (c) 2011 Paul Soucy (paul@dev-smart.com)<br />
        Copyright (c) 2013 MeetMe, Inc.<br />
        <a href="http://github.com/MeetMe/Android-HorizontalListView/">http://github.com/MeetMe/Android-HorizontalListView/</a><br />
        MIT License<br />
        Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:<br />
        The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.<br />
        THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON INFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.<br />
    </div>

    <br />
    <div class="content">
        <span>Android - platform - development</span><br />
        Copyright (C) 2007 The Android Open Source Project<br />
        The following software may be included in this product : abates from <a href="http://developer.android.com/index.html">http://developer.android.com/index.html</a>. This software contains the following license and notice below;
        Licensed under the Apache License, Version 2.0 (the "License");<br />
        you may not use this file except in compliance with the License.<br />
        You may obtain a copy of the License at<br />
        <a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a><br />
        Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.<br />
    </div>

    <br />
    <div class="content">
        <span>Android - platform - packages - apps - Messaging</span><br />
        Copyright (C) 2015 The Android Open Source Project<br />
        The following software may be included in this product : abates from <a href="http://developer.android.com/index.html">http://developer.android.com/index.html</a>. This software contains the following license and notice below;
        Licensed under the Apache License, Version 2.0 (the "License");<br />
        you may not use this file except in compliance with the License.<br />
        You may obtain a copy of the License at<br />
        <a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a><br />
        Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.<br />
    </div>

    <br />
    <div class="content">
        <span>libphonenumber</span><br />
        Copyright (c) Google Inc.<br />
        Vonage Holdings Corp.<br />
        Ian Galpin<br />
        Ben Gertzfield<br />
        The following software may be included in this product : abates from <a href="http://code.google.com/p/libphonenumber/">http://code.google.com/p/libphonenumber/</a>. This software contains the following license and notice below;<br />
        Licensed under the Apache License, Version 2.0 (the "License");<br />
        you may not use this file except in compliance with the License.<br />
        You may obtain a copy of the License at<br />
        <a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a><br />
        Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.<br />
    </div>

    <br />
    <div class="content">
        <span>Notice for facebook-android-sdk</span><br />
        Copyright (c) 2014-present, Facebook, Inc. All rights reserved.<br />
        The following software may be included in this product : abates from <a href="https://github.com/facebook/facebook-android-sdk/">https://github.com/facebook/facebook-android-sdk/</a>. This software contains the following license and notice below;<br />
        Licensed under the Apache License, Version 2.0 (the "License");<br />
        you may not use this file except in compliance with the License.<br />
        You may obtain a copy of the License at<br />
        <a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a><br />
        Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.<br />
    </div>

    <br />
    <div class="content">
        <span>Notice for gson</span><br />
        Copyright 2008 Google Inc.<br />
        The following software may be included in this product : abates from <a href="https://github.com/google/gson">https://github.com/google/gson</a>. This software contains the following license and notice below;<br />
        Licensed under the Apache License, Version 2.0 (the "License");<br />
        you may not use this file except in compliance with the License.<br />
        You may obtain a copy of the License at<br />
        <a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a><br />
        Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.<br />
    </div>

    <br />
    <div class="content">
        <span>Notice for Google Cloud Messaging (gcm)</span><br />
        Copyright 2015 Google, Inc.<br />
        The following software may be included in this product : abates from <a href="https://github.com/google/gcm">https://github.com/google/gcm</a>. This software contains the following license and notice below;<br />
        Licensed under the Apache License, Version 2.0 (the "License");<br />
        you may not use this file except in compliance with the License.<br />
        You may obtain a copy of the License at<br />
        <a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a><br />
        Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.<br />
    </div>

    <hr />

    <div class="content">
        <span class="bold"><a href="http://www.apache.org/licenses/">Apache License</a></span><br />
        Version 2.0, January 2004<br /><br />
        <a href="http://www.apache.org/licenses/">http://www.apache.org/licenses/</a><br />
        TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION<br /><br />
        <span class="bold">1. Definitions.</span><br />
        "License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.<br /><br />
        "Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.<br /><br />
        "Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.<br /><br />
        "You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.<br /><br />
        "Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.<br /><br />
        "Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.<br /><br />
        "Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).<br /><br />
        "Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.<br /><br />
        "Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution."<br /><br />
        "Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.<br /><br />
        <span class="bold">2. Grant of Copyright License.</span> Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.<br /><br />
        <span class="bold">3. Grant of Patent License.</span> Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.<br /><br />
        <span class="bold">4. Redistribution.</span> You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:<br /><br />
        <div class="numberWrapper">
            <div class="number">a.</div><div class="content"> You must give any other recipients of the Work or Derivative Works a copy of this License; and</div>
            <div class="number">b.</div><div class="content"> You must cause any modified files to carry prominent notices stating that You changed the files; and</div>
            <div class="number">c.</div><div class="content"> You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and</div>
            <div class="number">d.</div><div class="content"> If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.</div>
        </div>
        You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.<br /><br />
        <span class="bold">5. Submission of Contributions.</span> Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.<br /><br />
        <span class="bold">6. Trademarks.</span> This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.<br /><br />
        <span class="bold">7. Disclaimer of Warranty.</span> Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.<br /><br />
        <span class="bold">8. Limitation of Liability.</span> In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.<br /><br />
        <span class="bold">9. Accepting Warranty or Additional Liability.</span> While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.<br /><br />
        END OF TERMS AND CONDITIONS<br /><br />
    </div>

</body>
</html>
